# tag: Tom Lord Sun Jan 26 23:57:49 2003 (hackerlab/ChangeLog)
#


2002-05-18 GMT	Tom Lord <lord@regexps.com>	patch-20

    Summary:
      merge with `lord'
    Revision:
      hackerlab--devo--1.0--patch-20

    Patches applied (highlights):
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-41
         updated =NEWS
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-38
         unbuffering support
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-37
         very minor tweaks
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-36
         an `unexec' hook
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-35
         fixed an rx bug
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-34
         various `rx' fixes
    

    new files:
     tests/rx-posix-tests/=test.tcl
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-34
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-35
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-36
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-37
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-38
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-39
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-40
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-41
     .arch-ids/=NEWS.id os/sys/mman.h =NEWS

    removed files:
     =NEWS

    modified files:
     =TODO ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     Makefile.in os/sys/stat.h rx-posix/match-regexp.c
     rx-posix/posix.c rx/super.c tests/rx-posix-tests/test-rx.scm
     vu/safe-vfdbuf.c vu/safe-vfdbuf.h vu/vfdbuf.c vu/vfdbuf.h
     vu/vu.c vu/vu.h

    new directories:
     .arch-ids

    new patches:
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-34
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-35
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-36
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-37
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-38
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-39
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-40
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-41


2002-04-09 GMT	Tom Lord <lord@regexps.com>	patch-19

    Summary:
      updated =NEWS
    Revision:
      hackerlab--devo--1.0--patch-19

    Updated "=NEWS".

    modified files:
     =NEWS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0


2002-03-24 GMT	Tom Lord <lord@regexps.com>	patch-18

    Summary:
      merge from `lord'
    Revision:
      hackerlab--devo--1.0--patch-18

    Patches applied:
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-33
         rx-posix bug fixes and new test cases
    

    new files:
     tests/rx-posix-tests/posix-test-cases.h
     tests/rx-posix-tests/test-cases.h
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-33

    removed files:
     tests/rx-posix-tests/test-cases.h
     tests/rx-posix-tests/posix-test-cases.h

    modified files:
     =THANKS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     rx-posix/limits.h rx-posix/match-regexp.c
     tests/rx-posix-tests/test-rx.scm

    new patches:
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-33


2002-03-22 GMT	Tom Lord <lord@regexps.com>	patch-17

    Summary:
      updated =NEWS
    Revision:
      hackerlab--devo--1.0--patch-17

    Updated "=NEWS".
    

    modified files:
     =NEWS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0


2002-03-22 GMT	Tom Lord <lord@regexps.com>	patch-16

    Summary:
      merge from `lord'
    Revision:
      hackerlab--devo--1.0--patch-16

    Patches applied:
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-32
         os/Makefile.in `rm' tolerance for cygwin
         	 machine/endian.sh fix for CC
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-31
         test/fs-tests/Makefile.in -- don't hardcode `sh'
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-30
         fixed type of `rx_analyze_rexp'
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-29
         merge with `devo'
    

    new files:
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-29
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-30
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-31
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-32
     rx-posix/=later/regex-utils.c

    modified files:
     =THANKS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     libhackerlab/libhackerlab.doc machine/Makefile.in
     machine/endian.sh os/Makefile.in rx-posix/match-regexp.c
     rx-posix/match-regexp.h tests/fs-tests/Makefile.in

    new directories:
     rx-posix/=later

    new patches:
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-29
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-30
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-31
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-32


2002-03-04 GMT	Tom Lord <lord@regexps.com>	patch-15

    Summary:
      updated =TODO
    Revision:
      hackerlab--devo--1.0--patch-15

    Updated "=TODO".

    modified files:
     =TODO ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0


2002-03-01 GMT	Tom Lord <lord@regexps.com>	patch-14

    Summary:
      merge with `lord'
    Revision:
      hackerlab--devo--1.0--patch-14

    Patches applied:
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-28
         updated =TODO
    

    new files:
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-28

    modified files:
     =TODO ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    new patches:
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-28


2002-02-28 GMT	Tom Lord <lord@regexps.com>	patch-13

    Summary:
      updated the "=NEWS" file
    Revision:
      hackerlab--devo--1.0--patch-13

    Updated the "=NEWS" file.
    

    modified files:
     =NEWS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0


2002-02-27 GMT	Tom Lord <lord@regexps.com>	patch-12

    Summary:
      merge with `lord'
    Revision:
      hackerlab--devo--1.0--patch-12

    Patches applied:
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-27
         minor `panic_exit' bug fix,
         	 new-functions: `quicksort', `tmp_open', `tmp_open_anonymous', 
         			`current_working_directory'
    

    new files:
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-27
     sort/PLUGIN/.arch-ids/=dont-care fs/cwd.c sort/qsort.c
     sort/Makefile.in fs/tmp-files.c fs/cwd.h sort/qsort.h
     fs/tmp-files.h sort/PLUGIN/REQ

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     Makefile.in bugs/panic-exit.c fs/file-names.c

    new directories:
     sort sort/PLUGIN sort/PLUGIN/.arch-ids

    new patches:
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-27


2002-02-20 GMT	Tom Lord <lord@regexps.com>	patch-11

    Summary:
      merge from `lord'
    Revision:
      hackerlab--devo--1.0--patch-11

    Patches applied:
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-26
         updated =NEWS
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-25
         Fixed the error number convention
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-24
         portability improvements
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-23
         (interface change) support both short and long help messages
    

    new files:
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-23
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-24
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-25
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-26

    modified files:
     =NEWS =THANKS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     cmd/opt.c cmd/opt.h os/char-class-locale.c
     os/char-class-locale.h os/unistd.h
     tests/arrays-tests/unit-ar.c tests/bitset-tests/unit-bits.c
     tests/bitset-tests/unit-bitset-tree.c
     tests/bitset-tests/unit-bitset.c tests/bugs-tests/unit-panic.c
     tests/bugs-tests/unit-test-coverage.c
     tests/char-tests/unit-char-class.c
     tests/char-tests/unit-char-name.c tests/char-tests/unit-str.c
     tests/fmt-tests/unit-cvt.c tests/fs-tests/unit-file-names.c
     tests/hash-tests/unit-hash-utils.c
     tests/hash-tests/unit-hashtree.c
     tests/mem-tests/unit-alloc-limits.c tests/mem-tests/unit-mem.c
     tests/mem-tests/unit-must-malloc.c
     tests/rx-posix-tests/test-dbug.c
     tests/rx-posix-tests/test-rx.c
     tests/rx-posix-tests/test-search.c
     tests/rx-tests/unit-dfa-iso8859-1.c
     tests/rx-tests/unit-dfa-utf-no-surrogates.c
     tests/rx-tests/unit-dfa-utf.c tests/rx-tests/unit-dfa-utf16.c
     tests/rx-tests/unit-dfa-utf8.c tests/uni-tests/unit-coding.c
     tests/uni-tests/unit-cvt.c tests/unidata-tests/unit-unidata.c
     uni/coding-inlines.h unidata-scaffolding/unidata-generate.c
     vu-network/url-socket.c vu/reserv.c vu/vu-sys.c

    new patches:
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-23
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-24
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-25
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-26


2002-02-14	Tom Lord <lord@regexps.com>	patch-10

    Summary:
      merge from `lord'
    Revision:
      hackerlab--devo--1.0--patch-10

    Patches applied:
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-22
         updated =NEWS
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-21
         change the interface to vu_readdir
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-20
         tests/fs-tests: don't count on `which test`
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-19
         unit-ar.c bug fix
    

    new files:
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-19
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-20
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-21
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-22

    modified files:
     =NEWS =THANKS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     tests/arrays-tests/unit-ar.c tests/fs-tests/unit-file-names.sh
     vu-network/url-socket.c vu/safe.c vu/safe.h vu/url-fd.c
     vu/vfdbuf.c vu/vfdbuf.h vu/vu-sys.c vu/vu-sys.h
     vu/vu-virtual-null.c vu/vu.c vu/vu.h

    new patches:
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-19
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-20
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-21
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-22


2002-02-09	Tom Lord <lord@regexps.com>	patch-9

    Summary:
      merge from `lord'
    Revision:
      hackerlab--devo--1.0--patch-9

    Patches applied:
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-18
         unplugged sb
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-17
         disabled the rx-xml unit tests
    

    new files:
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-17
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-18
     sb/UNPLUGGED/REQ tests/rx-xml-tests/UNPLUGGED/REQ

    removed files:
     sb/PLUGIN/REQ tests/rx-xml-tests/PLUGIN/REQ

    modified files:
     =NEWS =README =THANKS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    renamed files:
     tests/rx-xml-tests/PLUGIN/.arch-ids/=dont-care
       ==> tests/rx-xml-tests/UNPLUGGED/.arch-ids/=dont-care
     sb/PLUGIN/.arch-ids/=dont-care
       ==> sb/UNPLUGGED/.arch-ids/=dont-care


    new directories:
     sb/UNPLUGGED tests/rx-xml-tests/UNPLUGGED
     sb/UNPLUGGED/.arch-ids tests/rx-xml-tests/UNPLUGGED/.arch-ids

    removed directories:
     sb/PLUGIN tests/rx-xml-tests/PLUGIN sb/PLUGIN/.arch-ids
     tests/rx-xml-tests/PLUGIN/.arch-ids

    new patches:
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-17
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-18


2002-02-07	Tom Lord <lord@regexps.com>	patch-8

    Summary:
      merge from lord
    Revision:
      hackerlab--devo--1.0--patch-8

    Patches applied:
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-16
         updated =NEWS
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-15
         fixed a machine alignment requirements bug
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-14
         fixed an endian-bug in uni/coding-inlines.c
    

    new files:
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-14
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-15
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-16
     =THANKS

    modified files:
     =NEWS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     machine/gen-alignment.to-c uni/coding-inlines.c

    new patches:
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-14
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-15
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-16


2002-01-30	Tom Lord <lord@regexps.com>	patch-7

    Summary:
      merge from `lord'
    Revision:
      hackerlab--devo--1.0--patch-7

    
    Patches applied:
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-13
         new function `safe_printfmt_va_list'
    

    new files:
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-13

    modified files:
     =TODO ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     vu/safe-printfmt.c vu/safe-printfmt.h

    new patches:
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-13


2002-01-24	Tom Lord <lord@regexps.com>	patch-6

    Summary:
      merge from lord
    Revision:
      hackerlab--devo--1.0--patch-6

    Patches applied:
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-12
         new header file `hackerlab/os/time.h,
         	 added some missing tags
         	 fixed a trivial bug in `vu.c'
    

    new files:
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-12
     os/time.h

    modified files:
     =NEWS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     tests/arrays-tests/unit-ar.sh
     tests/arrays-tests/unit-pow2-array.sh
     tests/bitset-tests/unit-bits.sh vu/vu.c

    new patches:
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-12


2002-01-18	Tom Lord <lord@regexps.com>	patch-5

    Summary:
      merge from `lord'
    Revision:
      hackerlab--devo--1.0--patch-5

    Patches applied:
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-11
         fixed non-POSIX bug in url-socket.c, updated =NEWS
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-10
         nit city
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-9
         merge from `devo'
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-8
         merge from `devo'
    

    new files:
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-10
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-11
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-8
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-9

    modified files:
     =NEWS ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     bitsets/bits-print.c bitsets/bitset.c bitsets/bitset.h
     cmd/main.h rx/dbug.c tests/bitset-tests/unit-bitset.c
     tests/rx-posix-tests/test-rx.c
     tests/rx-tests/unit-dfa-iso8859-1.c
     tests/rx-tests/unit-dfa-utf-no-surrogates.c
     tests/rx-tests/unit-dfa-utf.c tests/rx-tests/unit-dfa-utf16.c
     tests/rx-tests/unit-dfa-utf8.c
     tests/rx-xml-tests/test-time-re.c tests/rx-xml-tests/unit-re.c
     tests/unidata-tests/unit-unidata.c
     unidata-scaffolding/unidata-generate.c vu-network/url-socket.c
     vu/printfmt.c vu/printfmt.h vu/reserv.c vu/safe-printfmt.c
     vu/safe-printfmt.h vu/safe-vfdbuf.c vu/safe-vu-utils.c
     vu/vu-help.c vu/vu-sys.c

    new patches:
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-10
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-11
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-8
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-9


2002-01-14	Tom Lord <lord@regexps.com>	patch-4

    Summary:
      documentation Makefile fix
    Revision:
      hackerlab--devo--1.0--patch-4

    Trivial documentation Makefile fix.
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     libhackerlab/Makefile.in


2002-01-14	Tom Lord <lord@regexps.com>	patch-3

    Summary:
      minor bug fix
    Revision:
      hackerlab--devo--1.0--patch-3

    Added missing "#include" in `sb.c'.
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0 sb/sb.c


2002-01-14	Tom Lord <lord@regexps.com>	patch-2

    Summary:
      merge from `lord'	 --version support	 boilerplate files
    Revision:
      hackerlab--devo--1.0--patch-2

    Patches applied:
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-7
         corrected "Report bugs to" address
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-6
         fixed --version support
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-5
         fixed bug in version id printing
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-4
         =NEWS file updates
    
      * lord@regexps.com--2002/hackerlab--lord--1.0--patch-3
         added boilerplate files
    

    new files:
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-3
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-4
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-5
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-6
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-7
     COPYING =TODO =NEWS =README

    modified files:
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     cmd/opt.c sb/sb.c
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/base-0

    new patches:
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-3
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-4
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-5
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-6
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-7


2002-01-07	Tom Lord <lord@regexps.com>	patch-1

    Summary:
      merge with `lord'
    Revision:
      hackerlab--devo--1.0--patch-1

    
    For details, see:
    
    	ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
    
    Patches applied:
    
      lord@regexps.com--2002/hackerlab--lord--1.0--patch-2
        ChangeLog reorg
    
      lord@regexps.com--2002/hackerlab--lord--1.0--patch-1
        modified ChangeLog structure
    
      lord@regexps.com--2002/hackerlab--lord--1.0--base-0
        tag of lord@regexps.com--2002/hackerlab--devo--1.0--base-0
    

    new files:
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/base-0
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-1
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log/patch-2
     ChangeLog.d/lord@regexps.com--2001Q4/ChangeLog.devo--1.0
     ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    removed files:
     ChangeLog

    new directories:
     ChangeLog.d ChangeLog.d/lord@regexps.com--2001Q4
     ChangeLog.d/lord@regexps.com--2002
     {arch}/hackerlab/hackerlab--lord
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002
     {arch}/hackerlab/hackerlab--lord/hackerlab--lord--1.0/lord@regexps.com--2002/patch-log

    new patches:
     lord@regexps.com--2002/hackerlab--lord--1.0--base-0
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-1
     lord@regexps.com--2002/hackerlab--lord--1.0--patch-2


2002-01-11	Tom Lord <lord@regexps.com>	base-0

    Summary:
      tag of lord@regexps.com--2001Q4/hackerlab--devo--1.0--patch-4
    Revision:
      hackerlab--devo--1.0--base-0

    (automatically generated log message)
    

    new patches:
     lord@regexps.com--2001Q4/hackerlab--devo--1.0--base-0
     lord@regexps.com--2001Q4/hackerlab--devo--1.0--patch-1
     lord@regexps.com--2001Q4/hackerlab--devo--1.0--patch-2
     lord@regexps.com--public-2001Q4/hackerlab--devo--1.0--base-0
     lord@regexps.com--2001Q4/hackerlab--devo--1.0--patch-3
     lord@regexps.com--2001Q4/hackerlab--devo--1.0--patch-4


